%define req_esound_version	0.2.28
%define req_gnomevfs2_version	2.5.3
%define req_libbonobo_version	2.0.0
%define req_libxslt_version	1.0.18
%define api_version	2
%define lib_major	0
%define pkgname     libgnome
%define lib_name	%mklibname gnome %{api_version} %{lib_major}

Summary: GNOME libraries
Name: %{pkgname}%{api_version}
Version: 2.10.1
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 1.116.0-2mdk use Mdk default background
Patch1: libgnome-2.8.0-background.patch.bz2
# (fc) 2.2.0.1-2mdk galaxy as default theme
Patch4: libgnome-2.8.0-galaxy.patch.bz2
# (fc) 2.8.0-2mdk Stat gnome_user_private_dir before doing chmod, for SELinux (Fedora)
Patch5: libgnome-2.8.0-stat-homedir.patch.bz2

License: LGPL
Group: System/Libraries
Url: http://www.gnome.org/
Requires: mandrake_desk >= 9.0-6mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libbzip2-devel
BuildRequires: gnome-vfs2-devel >= %{req_gnomevfs2_version}
BuildRequires: esound-devel >= %{req_esound_version}
BuildRequires: libxslt-devel >= %{req_libxslt_version}
BuildRequires: gtk-doc
BuildRequires: libbonobo2_x-devel >= %{req_libbonobo_version}
BuildRequires: perl-XML-Parser

%description
Data files for the GNOME library such as translations.


%package -n %{lib_name}
Summary:	Dynamic libraries for GNOME applications
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
GNOME library contains extra API to let your GNOME applications shine.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
Requires:   libgnome-vfs2-devel
Requires:   esound-devel >= %{req_esound_version}
Requires:   libbonobo2_x-devel >= %{req_libbonobo_version}

%description -n %{lib_name}-devel
Static library and headers file
needed in order to develop applications using the GNOME library

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1 -b .background
%patch4 -p1 -b .galaxy
%patch5 -p1 -b .stathome

%build

%configure2_5x --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.{la,a} \
  $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{la,a}

%find_lang %{pkgname}-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in desktop_gnome_accessibility_keyboard desktop_gnome_accessibility_startup desktop_gnome_applications_browser desktop_gnome_applications_help_viewer desktop_gnome_applications_terminal desktop_gnome_applications_window_manager desktop_gnome_background desktop_gnome_file_views desktop_gnome_interface desktop_gnome_peripherals_keyboard desktop_gnome_peripherals_mouse desktop_gnome_sound desktop_gnome_thumbnailers desktop_gnome_typing_break ; do
   gconftool-2 --makefile-install-rule  %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null 2>&1
done
if [ ! -f /root/.gconf/desktop/gnome/background/%gconf.xml ]; then
  gconftool-2 --set /desktop/gnome/background/picture_filename --type=string /usr/share/mdk/backgrounds/root/default.png 
  gconftool-2 --set /desktop/gnome/background/picture_options --type=string none
  gconftool-2 --set /desktop/gnome/background/primary_color --type=string "#B20003"
fi

%preun
if [ "$1" = "0" ]; then 
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 for SCHEMA in desktop_gnome_accessibility_keyboard desktop_gnome_accessibility_startup desktop_gnome_applications_browser desktop_gnome_applications_help_viewer desktop_gnome_applications_terminal desktop_gnome_applications_window_manager desktop_gnome_background desktop_gnome_file_views desktop_gnome_interface desktop_gnome_peripherals_keyboard desktop_gnome_peripherals_mouse desktop_gnome_sound desktop_gnome_thumbnailers desktop_gnome_typing_break ; do
    gconftool-2 --makefile-uninstall-rule  %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null 2>&1
 done
fi

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{pkgname}-2.0.lang
%defattr(-,root,root)
%doc NEWS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/gnome-open
%{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/servers/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a


%changelog
* Wed Jul 06 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 based on Gtz Waschk package
- Remove patch 6 (merged upstream)

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.1-2mdk
- varargs fixes for our supported architectures

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk 
- Release 2.8.1

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-4mdk 
- Rebuild with latest howl

* Wed Nov 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-3mdk
- Regenerate patches 1 & 4
- Remove patch2 (merged upsteam)

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk 
- Patch5 (Fedora): stat gnome_user_private_dir before doing chmod, for SELinux  

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Tue Aug 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.2-1mdk
- Release 2.6.1.2
- Remove patch5 (merged upstream)

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-3mdk
- Patch5 (CVS): various fixes, including no sound event (bug #10615)
- Enable libtoolize

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-2mdk
- Fix Buildrequires

* Wed Apr 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1.1-1mdk
- New release 2.6.1.1

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Mon Mar 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz Waschk help)
- requires new gnome-vfs2
- remove patch 5 (the gconf schema has moved to gnome-vfs2)
- rediff patch 1

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-4mdk
- root background is now plain red


* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-3mdk
- Update patch 5 to also set webclient-gnome for https

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Regenerate patch 4 to really set galaxy theme (and nobody noticed before :(

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.7
- Patch5: Use webclient-gnome instead of epiphany by default

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3.6-2mdk
- BuildRequires: libbonobo2_x-devel

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Mon Jul 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3.1-2mdk
- Add missing schemas registration (fix bug #4249)

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3.1-1mdk
- Release 2.3.3.1
- Fix description (bug #4176)

* Wed Jun 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-2mdk
- Rebuild against latest libbonobo

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Tue Jun  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Rebuild to get new deps

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Remove patch3 (merged upstream)

* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-2mdk
- Patch4: galaxy is now default theme

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-2mdk
- Rebuild for latest openssl

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1
- Regenerate patch2

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-4mdk
- Patch3 : fix location of gnome2-info2html and gnome2-man2html for 
  vfs method

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-3mdk
- Patch2 (Rawhide): add schema for monospace font

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-2mdk
- Update patch1 to use new Mdk background 
- Fix BuildRequires

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Bump esound requirement to 0.2.28

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.2-2mdk
- Rebuilt against libbonobo 2.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.2-1mdk
- Release 1.117.2
- Remove patch 0 (merged upstream)

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.117.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.0-1mdk
- Release 1.117.0

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-3mdk
- Recompiled with esound support (don't know why it wasn't activated in
  previous release)

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-2mdk
- Update patch0
- Patch1: use default Mandrake background

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-1mdk
- Release 1.116.0

* Thu Apr 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-3mdk
- Patch0: fix conversion of bzip2 info files (bug 66334)

* Tue Apr 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-2mdk
- Release 1.115.0

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-2mdk
- Fix missing gnome-vfs module

* Tue Apr  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-1mdk
- Release 1.114.0
- Add missing schemas registration

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-2mdk
- Add explicit BuildRequires on libbonobo version

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- First Mdk package

